Guests

Guest profiles with contact information.

List guests with search

GET/v1/guests

Request

curl https://api.repull.dev/v1/guests \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "X-Workspace-Id: YOUR_WORKSPACE_ID"

Response

{ "data": [{ "id": "789", "firstName": "Sarah", ... }], "pagination": { ... } }

Query Parameters

limitintegerDefault: 50

Max results

searchstring

Search by name

Get a guest profile by ID

GET/v1/guests/:id

Request

curl https://api.repull.dev/v1/guests/123 \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "X-Workspace-Id: YOUR_WORKSPACE_ID"

Response

{
  "data": {
    "id": "789",
    "firstName": "Sarah",
    "lastName": "Mitchell",
    "language": "en",
    "contacts": [
      { "type": "EMAIL", "value": "sarah@example.com", "isPrimary": true },
      { "type": "PHONE", "value": "+15551234567", "isPrimary": false }
    ],
    "createdAt": "2026-01-10T08:00:00Z"
  }
}

Create a new guest

POST/v1/guests

Request

curl -X POST https://api.repull.dev/v1/guests \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "X-Workspace-Id: YOUR_WORKSPACE_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "firstName": "Sarah",
  "lastName": "Mitchell",
  "language": "example_language"
}'

Response

{ "data": { "id": "790", "firstName": "Marco", ... } }

Body Parameters

firstNamestringRequired

Guest first name

lastNamestring

Guest last name

languagestring

Language preference (default: en)

AI